Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 586404 - [abrt] crash in klamav-0.46-4.fc12.1: Process /usr/bin/klammail was killed by signal 11 (SIGSEGV)
[abrt] crash in klamav-0.46-4.fc12.1: Process /usr/bin/klammail was killed by...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: klamav (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
abrt_hash:3b4d4f50497d87b19ee752a0a30...
:
: 584903 587181 633097 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 09:38 EDT by Claude G Wilbur
Modified: 2010-12-03 10:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:22:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.14 KB, text/plain)
2010-04-27 09:38 EDT, Claude G Wilbur
no flags Details
Possible fix to this issue (604 bytes, patch)
2010-10-10 10:49 EDT, Andy Shevchenko
no flags Details | Diff

  None (edit)
Description Claude G Wilbur 2010-04-27 09:38:10 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/klammail
component: klamav
executable: /usr/bin/klammail
global_uuid: 3b4d4f50497d87b19ee752a0a3002cfec1ce0ec1
kernel: 2.6.32.11-99.fc12.x86_64
package: klamav-0.46-4.fc12.1
rating: 4
reason: Process /usr/bin/klammail was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Claude G Wilbur 2010-04-27 09:38:13 EDT
Created attachment 409478 [details]
File: backtrace
Comment 2 Karel Klíč 2010-05-25 05:00:34 EDT
*** Bug 587181 has been marked as a duplicate of this bug. ***
Comment 3 Andy Shevchenko 2010-09-12 12:32:25 EDT
*** Bug 584903 has been marked as a duplicate of this bug. ***
Comment 4 Andy Shevchenko 2010-09-12 17:42:20 EDT
*** Bug 633097 has been marked as a duplicate of this bug. ***
Comment 5 Andy Shevchenko 2010-09-13 13:13:53 EDT
Please, anyone who has often such issue help me to catch the bug.
Brief investigation shows the small problem in code when klammail found the virus and tried to send the mail to the admin of the system. However, the '--admin' option isn't given to program -> crash.
How to check this guess. Supply --admin to the line of klammail in the filter of your email client, like
   klammail -d /home/<user>/.klamav/database --admin 'root@localhost'
where <user> is your username usually.

And send the results of crash to the bugzilla if any.

Thank you!
Comment 6 Andy Shevchenko 2010-10-10 10:49:03 EDT
Created attachment 452595 [details]
Possible fix to this issue
Comment 7 Fedora Admin XMLRPC Client 2010-10-21 11:45:19 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Bug Zapper 2010-11-03 12:11:37 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-03 10:22:37 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.